---

f2b_packages:
  - fail2ban
  - rsyslog

f2b_enabled: "{% if envsetup_fail2ban_enabled | bool %}true{% else %}false{% endif %}"
f2b_ignoreip: 127.0.0.1/8 ::1
f2b_maxretry: "{{ envsetup_fail2ban_maxretry | default('6', true) }}"
f2b_bantime: "{{ envsetup_fail2ban_bantime | default('30', true) }}"
f2b_sender: "{{ envsetup_email_sender | default('root@localhost', true) }}"
f2b_destemail: "{% if envsetup_fail2ban_dest_email is string %}{{ envsetup_fail2ban_dest_email }}{% else %}{{ envsetup_fail2ban_dest_email | join(',') }}{% endif %}"
f2b_destemail_admins: "{% if envsetup_email_admins is string %}{{ envsetup_email_admins }}{% else %}{{ envsetup_email_admins | join(',') }}{% endif %}"
f2b_action: "{% if envsetup_fail2ban_send_email | bool %}action_mwl{% else %}action_{% endif %}"

f2b_filter:
  name: sshd
  content:

f2b_jail:
  name: sshd
  content: |
    [sshd]
    enabled = {{ f2b_enabled }}
    backend = systemd

...
